// components/diy-account/index.js
var Nova = getApp().Nova;
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    options: null,
  },

  /**
   * 组件的初始数据
   */
  data: {
    list: [],
  },
  ready: function () {
    // 在组件布局完成后执行，确保options参数中有data信息
    this.loadData();
  },
  /**
   * 组件的方法列表
   */
  methods: {
    async loadData() {
      await Nova.checkComponentsDataProperties(this);
      let list = await Nova.getBlockData(this.data.options.data);

      let { options } = this.data;
      console.log("个人账户组", options);
      console.log(list);
      let { data, src, style } = options;
      let { className, filter } = data;
      this.setData({
        list,
        style,
        className,
        filter,
      });
    },
  },
});
